Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Updated build instructions; Maven 3.0.3+ is not required; upgraded Cl…

…over plugin to 3.1.10

git-svn-id: https://svn.apache.org/repos/asf/httpcomponents/httpcore/trunk@1433699 13f79535-47bb-0310-9956-ffa450edef68
  • Loading branch information...
commit 4e21061b0101a395834c196e7fa86cc9ea7dcea1 1 parent bed7295
@ok2c ok2c authored
Showing with 29 additions and 47 deletions.
  1. +2 −4 BUILDING.txt
  2. +27 −43 pom.xml
View
6 BUILDING.txt
@@ -6,9 +6,7 @@ Building HttpComponents Core
JDK 1.5+ is required in order to compile and run HttpCore.
HttpCore utilizes Maven as a distribution management and packaging tool.
-Version 3.0.3 or later is recommended. Maven 3.0.x, however it is known
-to be incompatible with the Clover plugin. Use Maven 2.2.1 to generate
-web site content with Clover coverage reports.
+Version 3.0.3 or later is required.
Maven installation and configuration instructions can be found here:
@@ -57,7 +55,7 @@ Fix the archive files so the source files have the correct EOL settings:
mvn antrun:run
-(7) Building project web site
+(7) Building project web site with Clover reports
Execute the following command in order to generate the project web site:
View
70 pom.xml
@@ -280,6 +280,30 @@
<autoVersionSubmodules>true</autoVersionSubmodules>
</configuration>
</plugin>
+ <plugin>
+ <groupId>org.apache.maven.plugins</groupId>
+ <artifactId>maven-checkstyle-plugin</artifactId>
+ <version>2.9.1</version>
+ <configuration>
+ <encoding>UTF-8</encoding>
+ </configuration>
+ <executions>
+ <execution>
+ <id>validate</id>
+ <phase>validate</phase>
+ <configuration>
+ <configLocation>hc-checkstyle.xml</configLocation>
+ <consoleOutput>true</consoleOutput>
+ <failsOnError>true</failsOnError>
+ <linkXRef>false</linkXRef>
+ <sourceDirectory>${basedir}/src</sourceDirectory>
+ </configuration>
+ <goals>
+ <goal>checkstyle</goal>
+ </goals>
+ </execution>
+ </executions>
+ </plugin>
</plugins>
</build>
@@ -315,53 +339,13 @@
<profiles>
<profile>
- <id>profile-checkstyle</id> <!-- Requires Maven 3 -->
- <activation>
- <file>
- <exists>${basedir}</exists>
- </file>
- </activation>
- <build>
- <plugins>
- <plugin>
- <groupId>org.apache.maven.plugins</groupId>
- <artifactId>maven-checkstyle-plugin</artifactId>
- <version>2.9.1</version>
- <configuration>
- <encoding>UTF-8</encoding>
- </configuration>
- <executions>
- <execution>
- <id>validate</id>
- <phase>validate</phase>
- <configuration>
- <configLocation>hc-checkstyle.xml</configLocation>
- <consoleOutput>true</consoleOutput>
- <failsOnError>true</failsOnError>
- <linkXRef>false</linkXRef>
- <sourceDirectory>${basedir}/src</sourceDirectory>
- </configuration>
- <goals>
- <goal>checkstyle</goal>
- </goals>
- </execution>
- </executions>
- </plugin>
- </plugins>
- </build>
- </profile>
- <profile>
- <id>profile-clover-report</id> <!-- Requires Maven 2 -->
- <activation>
- <file>
- <missing>${basedir}</missing>
- </file>
- </activation>
+ <id>clover</id>
<build>
<plugins>
<plugin>
<groupId>com.atlassian.maven.plugins</groupId>
<artifactId>maven-clover2-plugin</artifactId>
+ <version>3.1.10</version>
<configuration>
<flushPolicy>threaded</flushPolicy>
<flushInterval>100</flushInterval>
@@ -385,7 +369,7 @@
<plugin>
<groupId>com.atlassian.maven.plugins</groupId>
<artifactId>maven-clover2-plugin</artifactId>
- <version>${clover.version}</version>
+ <version>3.1.10</version>
<configuration>
<jdk>1.5</jdk>
</configuration>
Please sign in to comment.
Something went wrong with that request. Please try again.